WordPress.org

Plugin Directory

Flexible Posts Widget

An advanced posts display widget with many options. Display posts in your sidebars any way you'd like!

3.5.0

  • Major codebase rewrite to prepare for additional widgets, options.
  • Automatically updates any widget settings when the plugin is updated to a new version
  • Multi Language support (WPML & PolyLang)
  • Term selection box now uses built-in WordPress function wp_terms_checklist(). This provides support for visually displaying nested terms and brings the plugin into compliance with WordPress code.

3.4.1

  • Version bump for WordPress 4.1 support.

3.4

  • Added Finnish language support. (Props: @eccola)
  • Made the Template Filename field a select box based on the templates available in the current theme, the parent theme (if the current theme is a child theme) and the plugin's views folder. (Props @w3b-beweb)
  • Added a new default template Default.php that works better in most sidebar situations. The current default template Widget.php will be used by any existing widgets unless manually changed.
  • Added support to order posts by Modified Date.
  • Migrated admin CSS to SASS.
  • Much code clean up and refactoring.
  • Fixed an issue with language files not loading properly (Props @sajtdavid).

3.3.1

  • Added plugin icon.
  • Version bump for WordPress 4.0 support.

3.3

  • Refactored the PHP Class to encapsulate the plugin.
  • Added the ability to sort posts by "Post ID Order". Useful when getting posts using the ID tab post__in. (Props: @cinus89)
  • Added Russian translation. (Props: @mizhgun)
  • Tested To bump for WordPress 3.9 support.

3.2.2

  • Version bump for WordPress 3.8 support

3.2.1

  • Added Italian language support. (Props: @adriano-esposito)

3.2

  • Added option to ignore sticky posts.
  • Added support to get post by post ID directly.
  • Added Polish language support. (Props: @Invens)
  • Added a few filters: dpe_fpw_args to filter the query vars before submitting the query and dpe_fpw_template_{$template_name} to filter the selected template.

3.1.2

  • Fixed several pesky PHP notices. (Props: @eeb1)

3.1.1

  • Fixed incorrect use of rtrim in getTemplateHierarchy when getting custom template files. (Props: @mortenf)

3.1

  • Internationalized and added Spanish language support. (Props: @elarequi)
  • Added support for Media post types with "image/" mime types to be displayed directly in the default template.

3.0.2

  • Bug fix: Added a check to make sure both taxonomy & term are set for tax queries.

3.0.1

  • Bug fix: Not able to get all registered post types & taxonomies until after widget init. Had to reorder some code.
  • Bug fix: when getting post types for display in widget admin. (Props: @angelfish276)

3.0

  • Allow widgets to query by post type and/or taxonomy & term instead of just one or the other. (Props: @vernal)
  • Allow widgets to query by multiple post types and multiple terms within the same taxonomy. (Props: @vernal)
  • Changed the list of available post types and taxonomies from every possible option to just those that are public.
  • General UI enhancements for the widget admin.
  • Some minor code cleanup and security improvements.

2.1.1

  • Fixed a source order bug in the widget.php template file. (Props: @carstenbach).

2.1

  • Added offset parameter to display options.

2.0

  • Upgrade notice: When upgrading from v1.x.x to v2.x, remember to double-check the settings for any existing widgets.
  • Dynamically populate available terms based on selected taxonomy.
  • Make the "Get Posts By" section selectable and only show the chosen method: Taxonomy & Term or Post Type.
  • Miscellaneous admin improvements.

1.0.5

  • Bug fix: Removed post_status 'private' from wp_queries. We don't want to show private posts in our loops.

1.0.4

  • Fixed an issue where post thumbnails aren't displaying.

1.0.3

  • Fixed PHP notices that showed in the admin when WP_DEBUG is enabled
  • Added some stub code for future admin JavaScripts (not active yet).
  • Readme.txt updates

1.0.2

  • Readme.txt updates

1.0

  • First public release

Requires: 3.2 or higher
Compatible up to: 4.2.3
Last Updated: 2015-4-23
Active Installs: 20,000+

Ratings

4.9 out of 5 stars

Support

6 of 15 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,4,4 100,1,1 100,2,2 100,1,1
100,2,2 100,1,1
100,2,2 100,5,5
100,1,1 100,1,1 100,2,2 100,1,1
100,2,2 100,1,1 100,1,1 100,1,1
100,2,2 100,1,1 100,1,1 100,3,3 100,2,2
100,1,1
100,2,2
100,3,3
100,2,2
100,3,3
100,1,1
100,1,1
100,1,1
100,3,3 100,1,1
100,1,1
100,4,4
100,1,1
100,1,1
100,2,2